# -*- coding: utf-8 -*-

# Copyright (C) 2005 Osmo Salomaa
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

import aeidon
import gaupol

from gi.repository import Gtk


class TestCloseAgent(gaupol.TestCase):

    def run__confirm_close_main(self):
        page = self.application.get_current_page()
        page.project.remove_subtitles((0,))
        self.delegate.close(page)

    def run__confirm_close_translation(self):
        page = self.application.get_current_page()
        page.project.remove_subtitles((0,))
        self.delegate.close(page)

    def setup_method(self, method):
        self.application = self.new_application()

    @aeidon.deco.monkey_patch(gaupol.util, "flash_dialog")
    @aeidon.deco.silent(gaupol.Default)
    def test_close(self):
        gaupol.util.flash_dialog = lambda *args: Gtk.ResponseType.CANCEL
        self.application.pages[-1].project.remove_subtitles((0,))
        self.application.close(self.application.pages[-1], confirm=True)

    @aeidon.deco.monkey_patch(gaupol.util, "flash_dialog")
    @aeidon.deco.silent(gaupol.Default)
    def test_close_all(self):
        gaupol.util.flash_dialog = lambda *args: Gtk.ResponseType.NO
        for page in self.application.pages:
            page.project.remove_subtitles((0,))
        self.application.close_all()
